package com.tidecloud.dataacceptance.entity;


import java.util.Date;
import java.util.List;

/**
 * 位置信息汇报消息
 * @author: chudk 
 * @date:   2017年11月8日 下午4:04:01   
 */
public class LocationSelfInfoUploadMsg extends PackageData {
	private Integer time;
	
	private List<CanDevice> canDevices;
	
    public LocationSelfInfoUploadMsg() {
    }
	
	public LocationSelfInfoUploadMsg(PackageData packageData) {
		this();
		this.channel = packageData.getChannel();
		this.checkSum = packageData.getCheckSum();
		this.msgBodyBytes = packageData.getMsgBodyBytes();
		this.msgHeader = packageData.getMsgHeader();
	}
	
	public List<CanDevice> getCanDevices() {
        return canDevices;
    }

    public void setCanDevices(List<CanDevice> canDevices) {
        this.canDevices = canDevices;
    }
    
    public Integer getTime() {
        return time;
    }

    public void setTime(Integer time) {
        this.time = time;
    }

    public static String buildLocationInfoUploadStr(List<LocationSelfInfoUploadMsg> infoUploadMsgs){
        StringBuilder stringBuilder = new StringBuilder();
        for (LocationSelfInfoUploadMsg locationInfoUploadMsg : infoUploadMsgs) {
            //[1]:时间 [2]:经度 [3]:纬度 [4]:gps速度 [5]:gps状态 [6]:纬度状态 [7]:经度状态
            stringBuilder.append("[");
//            stringBuilder.append(locationInfoUploadMsg.getTime()).append(",");
//            stringBuilder.append(locationInfoUploadMsg.getLongitude()).append(",");
//            stringBuilder.append(locationInfoUploadMsg.getLatitude()).append(",");
//            stringBuilder.append(locationInfoUploadMsg.getSpeed()).append(",");
//            stringBuilder.append(locationInfoUploadMsg.getGpsState()).append(",");
//            stringBuilder.append(locationInfoUploadMsg.getLatState()).append(",");
//            stringBuilder.append(locationInfoUploadMsg.getLngState()).append("]");
            stringBuilder.toString();
        }
        return stringBuilder.toString();
    }
}
